%define major 0
%define libname %mklibname lxqt-mount %{major}
%define devname %mklibname lxqt-mount -d

Name: liblxqt-mount
Version: 0.9.0
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Mounting related libraries for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: System/Libraries
BuildRequires:  %{_lib}lxqt-devel
BuildRequires:  %{_lib}qt5help-devel
BuildRequires: lib64qtxdg-devel
BuildRequires: cmake


%description
Mounting related libraries for the LXQt desktop

%package -n %{libname}
Summary: Mounting related libraries for the LXQt desktop
Group: System/Libraries

%description -n %{libname}
Mounting related libraries for the LXQt desktop

%package -n %{devname}
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%setup -q %{name}-%{version}
%cmake

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/lxqtmount/*.cmake
%{_libdir}/pkgconfig/*



%changelog
* Tue Nov 10 2015 bb <bb> 0.9.0-1pclos2015
- import into plcos
